Subject: Re: [PATCH net-next] net: octeon_ep_vf: use ethtool_sprintf/puts

From: Simon Horman <[email-masked]>
Date: Tue, 13 Aug 2024 08:54:50 +0100

On Mon, Aug 12, 2024 at 10:04:51AM -0700, Rosen Penev wrote:
> On Mon, Aug 12, 2024 at 5:43 AM Simon Horman <[email-masked]> wrote:
> >
> > On Thu, Aug 08, 2024 at 09:47:27PM -0700, Rosen Penev wrote:
> > > Simplifies the function and avoids manual pointer manipulation.
> > >
> > > Signed-off-by: Rosen Penev <[email-masked]>
> >
> > Thanks,
> >
> > The code changes look good to me and my local testing shows that it compiles.
> > So, from that point of view:
> >
> > Reviewed-by: Simon Horman <[email-masked]>
> >
> > But I do have a few points about process, which I hope you will
> > give due consideration:
> >
> > 1. It would be good if the patch description was a bit more verbose.
> >    And indicated how you found this problem (by inspection?)
> >    and how it was tested (compile tested only?).
> Right. This is just an API change. There should be no actual change in
> functionality.

Right, but adding this kind of information to the commit message
is useful.

> >
> >    This helps set expectations for reviewers of this patch,
> >    both now and in the future.
> >
> > 2. You have posed a number of similar patches.
> >    To aid review it would be best to group these, say in batches of
> >    no more than 10.
> I plan to do a treewide commit with a coccinelle script but would like
> to manually fix the problematic ones before doing so. Having said that
> I still need to figure out how to do a cover letter...

I suggest using at b4.
Else git format-patch (to prepare) + git send-email (to send).

FWIIW, I was not suggesting a large tree-wide patchset.
But rather, groups of related patches, in batches of 10 or less.

> >
> >    F.e. Point 1, above, doesn't just apply to this patch.
> >
> > 3. Please do review the Networking subsystem process document
> >
> >    https://docs.kernel.org/process/maintainer-netdev.html
> >
> > ...
>